Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.server.impl
Class NullServer

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.server.impl.NullServer

All Implemented Interfaces:
  java.io.Serializable, Component, Server

    public class NullServer

extends AbstractComponent
implements Server

A server that returns only empty XRDSes.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`protected static XRDS` | `xrds`

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`NullServer(java.util.Properties properties)`

Method Summary
`void` | `init()` A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.
`XRDS` | `lookupByNamespace(java.lang.String namespace, java.lang.String query, boolean signed)` Obtains an XRDS for an XRI segment.
`XRDS` | `lookupByPath(java.lang.String path, boolean signed)` Obtains an XRDS for a path.
`XRDS` | `lookupSelfDescribing(java.lang.String namespace, boolean signed)` Obtains a self-describing XRDS for a root namespace.

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.config.Component
`getProperties`

Field Detail

### xrds

    protected static XRDS xrds

Constructor Detail

### NullServer

    public NullServer(java.util.Properties properties)

Method Detail

### init

    public void init()

  Description copied from interface: `Component`
  A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.

  Specified by:
    `init` in interface `Component`

### lookupSelfDescribing

    public XRDS lookupSelfDescribing(java.lang.String namespace,
                                     boolean signed)
                              throws ServerException

  Description copied from interface: `Server`
  Obtains a self-describing XRDS for a root namespace. This is called if the URIMapper was able to only extract a namespace from the request, but no query.

  Specified by:
    `lookupSelfDescribing` in interface `Server`
  Parameters:
    `namespace` - The root namespace.
    `signed` - Whether or not a signed descriptor is requested.
  Returns:
    The completed XRDS ready to be sent to the client
  Throws:
    `ServerException`

### lookupByNamespace

    public XRDS lookupByNamespace(java.lang.String namespace,
                                  java.lang.String query,
                                  boolean signed)
                           throws ServerException

  Description copied from interface: `Server`
  Obtains an XRDS for an XRI segment. This is called if the URIMapper was able to extract a namespace and a query from the request.

  Specified by:
    `lookupByNamespace` in interface `Server`
  Parameters:
    `namespace` - The root namespace of the segment.
    `query` - The segment to resolve.
    `signed` - Whether or not a signed descriptor is requested.
  Returns:
    The completed XRDS ready to be sent to the client
  Throws:
    `ServerException`

### lookupByPath

    public XRDS lookupByPath(java.lang.String path,
                             boolean signed)
                      throws ServerException

  Description copied from interface: `Server`
  Obtains an XRDS for a path. This is called if the URIMapper was not even able to extract a namespace from the request.

  Specified by:
    `lookupByPath` in interface `Server`
  Parameters:
    `path` - The HTTP path of the request.
    `signed` - Whether or not a signed descriptor is requested.
  Returns:
    The completed XRDS ready to be sent to the client
  Throws:
    `ServerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.